%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/ProtonMail/go-crypto
%global commit          4b6e5c58789592be5b16c8b1a00d2b765a2e7dc8

%gometa

%global common_description %{expand:
Fork of go/x/crypto, providing an up-to-date OpenPGP implementation.}

%global golicenses      LICENSE PATENTS
%global godocs          AUTHORS README.md CONTRIBUTORS

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Fork of go/x/crypto, providing an up-to-date OpenPGP implementation

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.git4b6e5c5
- Rebuilt for loongarch64

* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
